﻿local _, englishClass = UnitClass("player")
if (englishClass ~="SHAMAN") then
	return
end
function ClassTimer:CreateTimers()
--Shock s
	self:AddRule("Shocks","Earth Shock")
	self:AddRule("Shocks","Flame Shock")
	self:AddRule("Shocks","Frost Shock")

--Buffs 
	self:AddRule("Buffs","Frostbrand Weapon")
	self:AddRule("Buffs","Eye of the Storm")
	self:AddRule("Buffs","Elemental Devastation")
	self:AddRule("Buffs","Stormstrike")
	self:AddRule("Buffs","Unleashed Rage")
	self:AddRule("Buffs","Shamanistic Rage")
	self:AddRule("Buffs","Ancestral Healing")
	self:AddRule("Buffs","Healing Way")
end

tinsert(ClassTimer.timers, ClassTimer.Shaman)

function ClassTimer:OnUpdate()
	self:SetupBuffs("player")
	self:SetupBuffs("target")
	for i = 1, 4 do 
		self:SetupBuffs("party"..i)
	end
	for i = 1, 40 do
		self:SetupBuffs("raid"..i)
	end
	
	self:SetupDebuffs("focus")
	self:SetupDebuffs("target")
end 

ClassTimer.target = {debuffs = {}, buffs = {}}
ClassTimer.focus = {debuffs = {}}
ClassTimer.player = {buffs = {}}
for i = 1, 4 do 
	ClassTimer["party"..i] = {buffs = {}}
end
for i = 1, 40 do
	ClassTimer["raid"..i] = {buffs = {}}
end 
